package eu.univento.lobby.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;

import eu.univento.core.api.CustomPlayer;
import eu.univento.core.api.Messages;
import eu.univento.core.api.Perms.Ranks;

/**
 * some item events
 * @author joethei
 * @version 1.0
 */
public class ItemEvents implements Listener{
	
	/**
	 * @param e PlayerInteractEvent
	 */
	@EventHandler
	public void onInteract(PlayerInteractEvent e) {
		CustomPlayer p = CustomPlayer.getPlayer(e.getPlayer().getName());
		if(e.getAction() == Action.RIGHT_CLICK_AIR || e.getAction() == Action.RIGHT_CLICK_BLOCK) {
			if(e.getItem().getType() == Material.NAME_TAG) {
				if(p.isAllowed(Ranks.Youtuber)) {
					if(p.isNicked()) {
						p.setNick(false);
						p.sendMessage(Messages.PREFIX + "cDu hast nun keinen Nicknamen mehr");
					}else {
						p.setNick(true);
						p.sendMessage(Messages.PREFIX + "aDu hast ab jetzt einen Nicknamen");
					}
				}
			}
			if(e.getItem().getType() == Material.TNT) {
				if(p.isAllowed(Ranks.Youtuber)) {
					if(Bukkit.getServerName() == "SilentLobby") {
						p.connectToServer("Lobby01");
					}else {
						p.connectToServer("SilentLobby");
					}
				}
			}
			if(e.getItem().getType() == Material.EYE_OF_ENDER) {
				//TODO: add forcefield
			}
		}
	}
}