package eu.univento.lobby.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.Sound;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import eu.univento.lobby.Lobby;

/**
 * opens menus
 * @author joethei
 * @version 1.0
 */
public class Menu implements Listener{
	
	/**
	 * opens and creates menus
	 * @param e PlayerInteractEvent
	 */
	@EventHandler
	public void onInteract(PlayerInteractEvent e) {
		if(e.getAction() == Action.RIGHT_CLICK_AIR || e.getAction() == Action.RIGHT_CLICK_AIR) {
			if(!Lobby.getOpenInventorys().contains(e.getPlayer())) {
				if(e.getItem().getType() == Material.COMPASS) {
					Inventory inv = Bukkit.createInventory(e.getPlayer(), 45, "6Server-Men");
					
					ItemStack spawn = new ItemStack(Material.MAGMA_CREAM);
					ItemMeta spawnMeta = spawn.getItemMeta();
					spawnMeta.setDisplayName("6Spawn");
					spawn.setItemMeta(spawnMeta);
					
					ItemStack theblock = new ItemStack(Material.GOLD_BLOCK);
					ItemMeta theblockMeta = theblock.getItemMeta();
					theblockMeta.setDisplayName("6TheBlock");
					theblock.setItemMeta(theblockMeta);
					
					ItemStack flagattack = new ItemStack(Material.SNOW_BALL);
					ItemMeta flagattackMeta = flagattack.getItemMeta();
					flagattackMeta.setDisplayName("6FlagAttack");
					flagattack.setItemMeta(flagattackMeta);
					
					ItemStack trashgames = new ItemStack(Material.LEATHER_HELMET);
					ItemMeta trashgamesMeta = trashgames.getItemMeta();
					trashgamesMeta.setDisplayName("6TrashGames");
					trashgames.setItemMeta(trashgamesMeta);
					
					ItemStack settings = new ItemStack(Material.NAME_TAG);
					ItemMeta settingsMeta = settings.getItemMeta();
					settingsMeta.setDisplayName("3Einstellungen");
					settings.setItemMeta(settingsMeta);
					
					ItemStack filler = new ItemStack(Material.STAINED_GLASS_PANE, 1, (short)15);
					ItemMeta fillerMeta = filler.getItemMeta();
					fillerMeta.setDisplayName("0Nichts");
					filler.setItemMeta(fillerMeta);
					
					inv.setItem(22, spawn);
					inv.setItem(4, theblock);
					inv.setItem(26, flagattack);
					inv.setItem(18, trashgames);
					inv.setItem(44, settings);
					
					for(int i = 0; i <= 44; i++) {
						if(inv.getItem(i) == null) {
							inv.setItem(i, filler);
						}
					}
					
					e.getPlayer().openInventory(inv);		
				}
				
				if(e.getItem().getType() == Material.CHEST) {
					Inventory inv = Bukkit.createInventory(e.getPlayer(), 45, "6Fun-Chest");
					
					
					
					e.getPlayer().openInventory(inv);
					e.getPlayer().playSound(e.getPlayer().getEyeLocation(), Sound.CHEST_OPEN, 10.0F, 1.0F);
				}
			}
		}
	}

}